Subject: bug#17272: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Drew Adams <[email-masked]>
Date: Thu, 14 Nov 2019 09:17:35 -0800 (PST)

> > My reply was that input is in the minibuffer,
> > and both `message' and `y-or-n-p' write to the
> > echo area (or at least they both did), so I
> > can't imagine how minibuffer input is lost or
> > "permanently hidden".
> 
> Ah, ok.  I think the posters just confused minibuffer and echo area for
> the case of y-or-n-p then (at least did I).

That's easy to do.  But the statement wasn't just
about the minibuffer when echo area was meant, or
vice versa.  The claim was that _user input_ (not
a prompt) became permanently hidden.